#include "pulsePin.h"
RGBmatrixPanel matrix(A, B, C, CLK, LAT, OE, false);

const int lowerL = 10;
const int upperL = 50;

void setup() {
  Serial.begin(9600); 
  matrix.begin();
  matrix.setTextWrap(false);
  matrix.setTextSize(1); 
  matrix.setTextColor(matrix.Color333(0, 7, 0)); 
  
  pinMode(TrigPin, OUTPUT);
  pinMode(EchoPin, INPUT);
}

void loop() {
  matrix_Pause();
  
  digitalWrite(TrigPin, LOW);
  delayMicroseconds(2);
  digitalWrite(TrigPin, HIGH);
  delayMicroseconds(10);
  digitalWrite(TrigPin, LOW);
  
  float duration = pulseIn(EchoPin, HIGH);
  
  float distance = duration / 58.0;
    
  matrix_Restart();

  Serial.print(duration);   Serial.print("   ");
  Serial.print(distance);   Serial.println("cm");
 
  matrix.fillScreen(0);
  matrix.setCursor(2, 9);   matrix.print(distance);

  int startP = 0, endP = 31;
  if(distance < lowerL)  {
     startP = 0;     endP = 31;
  }
  else if(distance > upperL) {
     startP = 15;     endP = 16;
  }
  else  {
     startP = map(distance, lowerL, upperL, 0, 15);
     endP = map(distance, lowerL, upperL, 31, 16);
  }

  for(int x = startP; x <= endP; x++)  {
     matrix.drawLine(x, 3, x, 5, matrix.Color333(7, 0, 7));    
  }
  
  delay(100);
}




